Forum: Rails Engines User_Engine - rake engine_migrate brings stack level too dee

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Manuel (Guest)
on 2006-01-23 18:47
(Received via mailing list)
Hi,

I ran into another problem when trying the user_engine. I guess I do
something wrong here and I hope somebody could help me with this.

I installed the user_engine from svn today and did all the steps until
step 7 in the readme.
With gettext disabled (see my other post from today), the Login-Engine
runs fine by now.

I edited my environment and application-controller as stated in the
manual:

Environment:
------------------
module LoginEngine
   config :salt, "..."
   config :use_email_notification, true
   config :user_table, 'schema_login'
end
module UserEngine
   config :admin_login, 'admin'
   config :admin_email, 'removed_email_address@domain.invalid'
   config :admin_password, 'admin'
end
Engines.start :login, :user
-------------------

'rake engine_migrate ENGINE=user'
----------------------
(in /home/manu/asterisk)
Migrating engine 'user_engine'
rake aborted!
stack level too deep
-----------------------


Any ideas?

Kind regards,
Manuel
James A. (Guest)
on 2006-01-26 11:45
(Received via mailing list)
Are you using edge rails?

- james
Manuel (Guest)
on 2006-01-26 12:03
(Received via mailing list)
Well, yes I do.

Maybe I should unfreeze it and see if it works then, right?

Thanks a lot for your answer.

Kind regards,

Manuel

----- Nachricht von removed_email_address@domain.invalid ---------
      Datum: Thu, 26 Jan 2006 09:44:33 +0000
        Von: James A. <removed_email_address@domain.invalid>
Antwort an: Discussion of the use of existing Engines
<removed_email_address@domain.invalid>
    Betreff: Re: [Engine-users] User_Engine - rake engine_migrate
brings stack level too deep
         An: Discussion of the use of existing Engines
<removed_email_address@domain.invalid>


>> I installed the user_engine from svn today and did all the steps until
>>    config :use_email_notification, true
>> 'rake engine_migrate ENGINE=user'
>> Kind regards,
>>
> _______________________________________________
> engine-users mailing list
> removed_email_address@domain.invalid
> http://lists.rails-engines.org/listinfo.cgi/engine...
>
>
>


----- Ende der Nachricht von removed_email_address@domain.invalid -----
James A. (Guest)
on 2006-01-26 12:06
(Received via mailing list)
You need to use a different version of the Engines plugin with edge
rails:

  http://opensvn.csie.org/rails_engines/engines/branches/edge

This is because edge rails has a different loading mechanism to Rails
1.0

- james
This topic is locked and can not be replied to.